import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import Components from "unplugin-vue-components/vite";
import { VantResolver } from "unplugin-vue-components/resolvers";
// https://vitejs.dev/config/
import UnoCSS from "unocss/vite";
export default defineConfig({
  server: {
    proxy: {
      '/api': {
        target: 'https://blahblaho.com/',
        changeOrigin: true
      }
    }
  },
  plugins: [vue(),
  Components({
    resolvers: [VantResolver()]
  }),
  UnoCSS()
  ],
})
